Data Structures

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:
[detail level 12]

►Nelm |
C access | Class access
C actionslider | Class actionslider
C atspi_bridge | Class atspi_bridge
C bg | Class bg
C box | Class box
C bubble | Class bubble
C button | Class button
C calendar | Class calendar
C check | Class check
C clock | Class clock
C color_item | Class color_item
C colorselector | Class colorselector
C conformant | Class conformant
C container | Class container
C ctxpopup | Class ctxpopup
C ctxpopup_item | Class ctxpopup_item
C datetime | Class datetime
C dayselector | Class dayselector
C dayselector_item | Class dayselector_item
C diskselector | Class diskselector
C diskselector_item | Class diskselector_item
C entry | Class entry
C fileselector | Class fileselector
C fileselector_button | Class fileselector_button
C fileselector_entry | Class fileselector_entry
C flip | Class flip
C flipselector | Class flipselector
C flipselector_item | Class flipselector_item
C frame | Class frame
C gengrid | Class gengrid
C gengrid_item | Class gengrid_item
C gengrid_pan | Class gengrid_pan
C genlist | Class genlist
C genlist_item | Class genlist_item
C genlist_pan | Class genlist_pan
C gesture_layer | Class gesture_layer
C glview | Class glview
C grid | Class grid
C hover | Class hover
C hoversel | Class hoversel
C hoversel_item | Class hoversel_item
C icon | Class icon
C image | Class image
C index | Class index
C index_item | Class index_item
C inwin | Class inwin
C label | Class label
C layout | Class layout
C list | Class list
C list_item | Class list_item
C map | Class map
C map_pan | Class map_pan
C mapbuf | Class mapbuf
C menu | Class menu
C menu_item | Class menu_item
C multibuttonentry | Class multibuttonentry
C multibuttonentry_item | Class multibuttonentry_item
C naviframe | Class naviframe
C naviframe_item | Class naviframe_item
C notify | Class notify
C panel | Class panel
C panes | Class panes
C photo | Class photo
C photocam | Class photocam
C photocam_pan | Class photocam_pan
C player | Class player
C plug | Class plug
C popup | Class popup
C popup_item | Class popup_item
C prefs | Class prefs
C progressbar | Class progressbar
C radio | Class radio
C route | Class route
C scroller | Class scroller
C segment_control | Class segment_control
C segment_control_item | Class segment_control_item
C separator | Class separator
C slider | Class slider
C slideshow | Class slideshow
C slideshow_item | Class slideshow_item
C spinner | Class spinner
C systray | Class systray
C table | Class table
C thumb | Class thumb
C toolbar | Class toolbar
C toolbar_item | Class toolbar_item
C video | Class video
C web | Class web
C widget | Class widget
C widget_item | Class widget_item
C win | Class win
C win_standard | Class win_standard
C _Elm_Button_Data | Base widget smart data extended with button instance data
C _Elm_Entry_Anchor_Hover_Info | The info sent in the callback for "anchor,clicked" signals emitted by the Anchor_Hover widget
C _Elm_Entry_Anchor_Info | The info sent in the callback for the "anchor,clicked" signals emitted by entries
C _Elm_Entry_Filter_Accept_Set | Data for the elm_entry_filter_accept_set() entry filter
C _Elm_Entry_Filter_Limit_Size | Data for the elm_entry_filter_limit_size() entry filter
C _Elm_Event_Policy_Changed | Data on the event when an Elementary policy has changed
C _Elm_Gen_Item_Class | Elm_Gen_Item_Class member definitions
C _Elm_Gesture_Line_Info | Struct holds line info for user
C _Elm_Gesture_Momentum_Info | Struct holds momentum info for user x1 and y1 are not necessarily in sync x1 holds x value of x direction starting point and same holds for y1
C _Elm_Gesture_Rotate_Info | Struct holds rotation info for user
C _Elm_Gesture_Taps_Info | Struct holds taps info for user
C _Elm_Gesture_Zoom_Info | Struct holds zoom info for user
C _Elm_Image_Error | Structure associated with smart callback 'download,progress'
C _Elm_Image_Progress | Structure associated with smart callback 'download,progress'
C _Elm_Layout_Part_Alias_Description | Elementary Layout-based widgets may declare part proxies, i.e., aliases for real theme part names to expose to the API calls:
C _Elm_Layout_Smart_Data | Base widget smart data extended with layout instance data
C _Elm_Panel_Scroll_Info | Panel scroll information
C _Elm_Prefs_Item_Iface | Interface between items of the Prefs widget and the real widgets implementing them
C _Elm_Prefs_Item_Iface_Info | Convenience struct used to mass-register widgets implementing prefs items interfaces
C _Elm_Prefs_Page_Iface | Interface between pages of the Prefs widget and the real widgets implementing them
C _Elm_Prefs_Page_Iface_Info | Convenience struct used to mass-register widgets implementing prefs pages interfaces
C _Elm_Selection_Data | Structure holding the info about selected data
C _Elm_Slideshow_Item_Class | Member definitions of Elm_Slideshow_Item_Class
C _Elm_Sys_Notify_Action_Invoked | Data on event when Action Invoked is emitted
C _Elm_Sys_Notify_Notification_Closed | Data on event when Notification Closed is emitted
C _Elm_Web_Frame_Load_Error | Structure used to report load errors
C _Elm_Web_Menu | Structure describing the menu of a popup
C _Elm_Web_Menu_Item | Structure describing the items in a menu
C _Elm_Widget_Smart_Class | Base widget smart class
C _Elm_Widget_Smart_Data | Base widget smart data
C Elm_Gen_Item_Class | Gengrid or Genlist item class definition